#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC1,0x2E,0xB4,0x46,0xB1,0x69,0x6A,0xC1,0xBE,0x5E,0xB7,0x67,
		0xD9,0x6A,0xDA,0x37,0x96,0x00,0x35,0x5F,0x63,0x00,0x81,0x72,
		0xAF,0xF5,0x5F,0x46,0xD1,0x0D,0x82,0x2A,0x3F,0xFD,0x46,0x24,
		0xF9,0x86,0x67,0xED,0xBF,0xBF,0xD2,0xC2,0xCE,0x53,0xC8,0x82,
		0x71,0xC6,0xB0,0x14,0x22,0xB9,0xCF,0x1C,0x02,0x8D,0x7D,0xC1,
		0x1B,0xE8,0x79,0x33,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
